#  $Id: Compiled.pm,v 1.3 2008/03/17 19:26:25 jonas Exp $  -*-cperl-*-
package Para::Frame::Template::Compiled;
#=====================================================================
#
# AUTHOR
#   Jonas Liljegren   <jonas@paranormal.se>
#
# COPYRIGHT
#   Copyright (C) 2004-2008 Jonas Liljegren.  All Rights Reserved.
#
#   This module is free software; you can redistribute it and/or
#   modify it under the same terms as Perl itself.
#
#=====================================================================

=head1 NAME

Para::Frame::Template::Compiled - Represents a perl-compiled Template file

=cut

use strict;

BEGIN
{
    our $VERSION  = sprintf("%d.%02d", q$Revision: 1.3 $ =~ /(\d+)\.(\d+)/);
    print "Loading ".__PACKAGE__." $VERSION\n";
}

use Para::Frame::Reload;

use base qw( Para::Frame::File );


#######################################################################

1;

=head1 SEE ALSO

L<Para::Frame>

=cut
